Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerConsole.h File Reference

`#include "ExDefine.h"`
`#include "ExMath.h"`
`#include "ExNihiloNameSpace.h"`
`#include "ExCFile.h"`
`#include "ExCCommand.h"`
`#include "ExCAction.h"`
`#include "ExManager.h"`
`#include "ExManagerWindow.h"`
`#include "ExManagerTexture.h"`
`#include <stdarg.h>`

Go to the source code of this file.

## Data Structures
class | ExManagerConsole
## Defines
#define | HIDE 0
#define | HALF 1
#define | FULL 2
#define | HIDETOHALF 3
#define | HIDETOFULL 4
#define | HALFTOFULL 5
#define | FULLTOHALF 6
#define | FULLTOHIDE 7
#define | HALFTOHIDE 8
#define | PREDIFINEDCOMMAND 10

## Define Documentation

#define FULL 2

| Definition at line 72 of file ExManagerConsole.h. Referenced by ExManagerConsole::Draw(), ExManagerConsole::InputAction(), ExManagerConsole::NextAviableState(), and ExManagerConsole::SetConsoleState().

#define FULLTOHALF 6

| Definition at line 76 of file ExManagerConsole.h. Referenced by ExManagerConsole::Draw(), ExManagerConsole::InputAction(), ExManagerConsole::NextAviableState(), and ExManagerConsole::SetConsoleState().

#define FULLTOHIDE 7

| Definition at line 77 of file ExManagerConsole.h. Referenced by ExManagerConsole::Draw(), ExManagerConsole::InputAction(), ExManagerConsole::NextAviableState(), and ExManagerConsole::SetConsoleState().

#define HALF 1

| Definition at line 71 of file ExManagerConsole.h. Referenced by ExManagerConsole::Draw(), ExManagerConsole::InputAction(), ExManagerConsole::NextAviableState(), and ExManagerConsole::SetConsoleState().

#define HALFTOFULL 5

| Definition at line 75 of file ExManagerConsole.h. Referenced by ExManagerConsole::Draw(), ExManagerConsole::InputAction(), ExManagerConsole::NextAviableState(), and ExManagerConsole::SetConsoleState().

#define HALFTOHIDE 8

| Definition at line 78 of file ExManagerConsole.h. Referenced by ExManagerConsole::Draw(), ExManagerConsole::InputAction(), ExManagerConsole::NextAviableState(), and ExManagerConsole::SetConsoleState().

#define HIDE 0

| Definition at line 70 of file ExManagerConsole.h. Referenced by ExManagerConsole::Draw(), ExManagerConsole::ExManagerConsole(), ExManagerConsole::InputAction(), ExManagerConsole::NextAviableState(), ExManagerConsole::Reset(), and ExManagerConsole::SetConsoleState().

#define HIDETOFULL 4

| Definition at line 74 of file ExManagerConsole.h. Referenced by ExManagerConsole::Draw(), ExManagerConsole::InputAction(), ExManagerConsole::NextAviableState(), and ExManagerConsole::SetConsoleState().

#define HIDETOHALF 3

| Definition at line 73 of file ExManagerConsole.h. Referenced by ExManagerConsole::Draw(), ExManagerConsole::InputAction(), ExManagerConsole::NextAviableState(), and ExManagerConsole::SetConsoleState().

#define PREDIFINEDCOMMAND 10

| Definition at line 80 of file ExManagerConsole.h. Referenced by ExManagerConsole::ApplyBuffCommand(), and ExManagerConsole::ListConsoleCommand().